### Enumeration

# GLib TokenType

since: 2.0

#### Declaration

    enum GLib.TokenType

#### Description

The possible types of token returned from each `g_scanner_get_next_token()` call.

Available since: 2.0

#### Members

`G_TOKEN_EOF`

  The end of the file.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_LEFT_PAREN`

  A ‘(‘ character.

  - Value: `40`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_RIGHT_PAREN`

  A ‘)’ character.

  - Value: `41`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_LEFT_CURLY`

  A ‘{‘ character.

  - Value: `123`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_RIGHT_CURLY`

  A ‘}’ character.

  - Value: `125`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_LEFT_BRACE`

  A ‘[‘ character.

  - Value: `91`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_RIGHT_BRACE`

  A ‘]’ character.

  - Value: `93`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_EQUAL_SIGN`

  A ‘=’ character.

  - Value: `61`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_COMMA`

  A ‘,’ character.

  - Value: `44`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_NONE`

  Not a token.

  - Value: `256`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_ERROR`

  An error occurred.

  - Value: `257`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_CHAR`

  A character.

  - Value: `258`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_BINARY`

  A binary integer.

  - Value: `259`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_OCTAL`

  An octal integer.

  - Value: `260`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_INT`

  An integer.

  - Value: `261`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_HEX`

  A hex integer.

  - Value: `262`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_FLOAT`

  A floating point number.

  - Value: `263`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_STRING`

  A string.

  - Value: `264`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_SYMBOL`

  A symbol.

  - Value: `265`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_IDENTIFIER`

  An identifier.

  - Value: `266`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_IDENTIFIER_NULL`

  A null identifier.

  - Value: `267`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_COMMENT_SINGLE`

  One line comment.

  - Value: `268`
  - Nickname: `None`
  - Available since: 2.0
`G_TOKEN_COMMENT_MULTI`

  Multi line comment.

  - Value: `269`
  - Nickname: `None`
  - Available since: 2.0